# ProcessInfo class

ProcessInfo provides methods for retrieving information about the current process.

## Constructors

ProcessInfo()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Static Properties

currentRss → int
  The current resident set size of memory for the process. [...]
  read-only
maxRss → int
  The high-watermark in bytes for the resident set size of memory for the process. [...]
  read-only